## org.apache.log4j.or.jms
Class MessageRenderer

    java.lang.Object
      org.apache.log4j.or.jms.MessageRenderer

All Implemented Interfaces:
  ObjectRenderer

    public class MessageRenderer

extends java.lang.Object
implements ObjectRenderer

Render `javax.jms.Message` objects.

Since:
  1.0
Author:
  Ceki Gülcü

Constructor Summary
`MessageRenderer()`

Method Summary
`java.lang.String` `doRender(java.lang.Object o)` Render a `Message`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageRenderer

    public MessageRenderer()

Method Detail

### doRender

    public java.lang.String doRender(java.lang.Object o)

  Render a `Message`.

  Specified by:
    `doRender` in interface `ObjectRenderer`

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.